Delete a record the caller keeps on this node. Shaped like com.atproto.repo.deleteRecord; deleting one that doesn't exist succeeds.
POST
/xrpc/place.stream.local.deleteRecord
const url = 'https://example.com/xrpc/place.stream.local.deleteRecord';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"repo":"example","collection":"example","rkey":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/xrpc/place.stream.local.deleteRecord \ --header 'Content-Type: application/json' \ --data '{ "repo": "example", "collection": "example", "rkey": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
repo
required
string format: did
collection
required
string format: nsid
rkey
required
string format: record-key
Example generated
{ "repo": "example", "collection": "example", "rkey": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
Example generated
{}